> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List orders

> Retrieve a paginated list of orders with powerful filtering options.
    
    Orders represent purchases made by customers, including one-time purchases, subscription initiation, and free product claims.
    Subscription renewal payments are tracked as separate payment objects, not orders.
    Results are sorted by creation date (newest first) by default.



## OpenAPI

````yaml /api-reference/api-docs.yaml get /v0/orders/list
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/orders/list:
    get:
      tags:
        - orders
      summary: List orders
      description: |-
        Retrieve a paginated list of orders with powerful filtering options.
            
            Orders represent purchases made by customers, including one-time purchases, subscription initiation, and free product claims.
            Subscription renewal payments are tracked as separate payment objects, not orders.
            Results are sorted by creation date (newest first) by default.
      operationId: GetV0OrdersList
      parameters:
        - name: orderDirection
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterOrderDirection'
        - name: skip
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterSkip'
        - name: take
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterTake'
        - name: archived
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterArchived'
        - name: withArchived
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterWithArchived'
        - name: returnCount
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterReturnCount'
        - name: term
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterTerm'
        - name: ids
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterIds'
        - name: number
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterNumber'
        - name: userId
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterUserId'
        - name: subscriptionId
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterSubscriptionId'
        - name: statuses
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterStatuses'
        - name: types
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterTypes'
        - name: valueFrom
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterValueFrom'
        - name: valueTo
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterValueTo'
        - name: currency
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterCurrency'
        - name: country
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterCountry'
        - name: createdFrom
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterCreatedFrom'
        - name: createdTo
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterCreatedTo'
        - name: orderBy
          in: query
          required: false
          description: GET /v0/orders/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OrdersListParameterOrderBy'
      responses:
        '200':
          description: GET /v0/orders/list Positive response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0OrdersListPositiveResponse'
        '400':
          description: GET /v0/orders/list Negative response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0OrdersListNegativeResponse'
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
components:
  schemas:
    GetV0OrdersListParameterOrderDirection:
      type: string
      enum:
        - ASC
        - DESC
    GetV0OrdersListParameterSkip:
      type:
        - number
        - 'null'
      format: double
      minimum: 0
      maximum: 1.7976931348623157e+308
    GetV0OrdersListParameterTake:
      type:
        - number
        - 'null'
      format: double
      minimum: 0
      maximum: 1.7976931348623157e+308
    GetV0OrdersListParameterArchived:
      oneOf:
        - type: string
        - type: boolean
    GetV0OrdersListParameterWithArchived:
      oneOf:
        - type: string
        - type: boolean
    GetV0OrdersListParameterReturnCount:
      oneOf:
        - type: string
        - type: boolean
    GetV0OrdersListParameterTerm:
      type: string
    GetV0OrdersListParameterIds:
      type: array
      items:
        type: string
        format: uuid
    GetV0OrdersListParameterNumber:
      type: string
      pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
    GetV0OrdersListParameterUserId:
      type: string
      format: uuid
    GetV0OrdersListParameterSubscriptionId:
      type: string
    GetV0OrdersListParameterStatuses:
      type: array
      items:
        type: string
        enum:
          - PENDING
          - PAID
          - FAILED
          - UNPAID
          - CANCELLED
          - REFUNDED
          - PARTIALLY_REFUNDED
          - EXPIRED
    GetV0OrdersListParameterTypes:
      type: array
      items:
        type: string
        enum:
          - one_time
          - subscription_initial
          - subscription_update
          - subscription_interval
          - subscription_extra
          - claim_free
    GetV0OrdersListParameterValueFrom:
      type:
        - number
        - 'null'
      format: double
      minimum: -1.7976931348623157e+308
      maximum: 1.7976931348623157e+308
    GetV0OrdersListParameterValueTo:
      type:
        - number
        - 'null'
      format: double
      minimum: -1.7976931348623157e+308
      maximum: 1.7976931348623157e+308
    GetV0OrdersListParameterCurrency:
      type: string
      enum:
        - AFN
        - ALL
        - DZD
        - AOA
        - ARS
        - AMD
        - AWG
        - AUD
        - AZN
        - BSD
        - BDT
        - BBD
        - BZD
        - BMD
        - BOB
        - BAM
        - BWP
        - BRL
        - BHD
        - GBP
        - BND
        - BGN
        - BIF
        - BYN
        - KHR
        - CAD
        - CVE
        - KYD
        - KWD
        - XAF
        - XPF
        - CLP
        - CNY
        - COP
        - KMF
        - CDF
        - CRC
        - HRK
        - CZK
        - DKK
        - DJF
        - DOP
        - XCD
        - EGP
        - ETB
        - EUR
        - FKP
        - FJD
        - GMD
        - GEL
        - GIP
        - GTQ
        - GNF
        - GYD
        - HTG
        - HNL
        - HKD
        - HUF
        - ISK
        - INR
        - IDR
        - ILS
        - JMD
        - JPY
        - JOD
        - KZT
        - KES
        - KGS
        - LAK
        - LBP
        - LSL
        - LRD
        - MOP
        - MKD
        - MGA
        - MWK
        - MYR
        - MVR
        - MRO
        - MUR
        - MXN
        - MDL
        - MNT
        - MAD
        - MZN
        - MMK
        - NAD
        - NPR
        - ANG
        - TWD
        - NZD
        - NIO
        - NGN
        - NOK
        - OMR
        - PKR
        - PAB
        - PGK
        - PYG
        - PEN
        - PHP
        - PLN
        - QAR
        - RON
        - RUB
        - RWF
        - SHP
        - SVC
        - WST
        - STD
        - SAR
        - RSD
        - SCR
        - SLL
        - SGD
        - SBD
        - SOS
        - ZAR
        - KRW
        - LKR
        - SRD
        - SZL
        - SEK
        - CHF
        - TJS
        - TZS
        - THB
        - TND
        - TOP
        - TTD
        - TRY
        - UGX
        - UAH
        - AED
        - UYU
        - USD
        - UZS
        - VUV
        - VEF
        - VND
        - XOF
        - YER
        - ZMW
        - SLE
        - XCG
        - SSP
        - VES
        - MRU
        - STN
        - VED
    GetV0OrdersListParameterCountry:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BA
        - BW
        - BV
        - BR
        - IO
        - VG
        - BN
        - BG
        - BF
        - BI
        - KH
        - CM
        - CA
        - CV
        - BQ
        - KY
        - CF
        - TD
        - CL
        - CN
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - CI
        - HR
        - CW
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - XK
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MQ
        - MR
        - MU
        - YT
        - MX
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - MK
        - 'NO'
        - OM
        - PK
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - KR
        - SS
        - ES
        - LK
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - SD
        - SR
        - SJ
        - SE
        - CH
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UY
        - UZ
        - VU
        - VA
        - VE
        - VN
        - WF
        - EH
        - YE
        - ZM
        - ZW
    GetV0OrdersListParameterCreatedFrom:
      type:
        - integer
        - 'null'
      format: int64
      minimum: 0
      maximum: 9007199254740991
    GetV0OrdersListParameterCreatedTo:
      type:
        - integer
        - 'null'
      format: int64
      minimum: 0
      maximum: 9007199254740991
    GetV0OrdersListParameterOrderBy:
      type: string
      enum:
        - createdAt
        - orderNumber
        - value
    GetV0OrdersListPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            orders:
              type: array
              items:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - order
                    default: order
                    description: Object type identifier. Always 'order' for order objects.
                  id:
                    type: string
                    format: uuid
                    description: Unique identifier (UUID) for this order.
                  number:
                    type: string
                    pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
                    description: Human-readable order number.
                  status:
                    type: string
                    enum:
                      - PENDING
                      - PAID
                      - FAILED
                      - UNPAID
                      - CANCELLED
                      - REFUNDED
                      - PARTIALLY_REFUNDED
                      - EXPIRED
                    description: Current order status.
                  value:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    default: 0
                  tax:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    default: 0
                  fee:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    default: 0
                  totalItems:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: 0
                    maximum: 9007199254740991
                    default: 0
                  country:
                    type:
                      - string
                      - 'null'
                    default: null
                  currency:
                    type:
                      - string
                      - 'null'
                    enum:
                      - AFN
                      - ALL
                      - DZD
                      - AOA
                      - ARS
                      - AMD
                      - AWG
                      - AUD
                      - AZN
                      - BSD
                      - BDT
                      - BBD
                      - BZD
                      - BMD
                      - BOB
                      - BAM
                      - BWP
                      - BRL
                      - BHD
                      - GBP
                      - BND
                      - BGN
                      - BIF
                      - BYN
                      - KHR
                      - CAD
                      - CVE
                      - KYD
                      - KWD
                      - XAF
                      - XPF
                      - CLP
                      - CNY
                      - COP
                      - KMF
                      - CDF
                      - CRC
                      - HRK
                      - CZK
                      - DKK
                      - DJF
                      - DOP
                      - XCD
                      - EGP
                      - ETB
                      - EUR
                      - FKP
                      - FJD
                      - GMD
                      - GEL
                      - GIP
                      - GTQ
                      - GNF
                      - GYD
                      - HTG
                      - HNL
                      - HKD
                      - HUF
                      - ISK
                      - INR
                      - IDR
                      - ILS
                      - JMD
                      - JPY
                      - JOD
                      - KZT
                      - KES
                      - KGS
                      - LAK
                      - LBP
                      - LSL
                      - LRD
                      - MOP
                      - MKD
                      - MGA
                      - MWK
                      - MYR
                      - MVR
                      - MRO
                      - MUR
                      - MXN
                      - MDL
                      - MNT
                      - MAD
                      - MZN
                      - MMK
                      - NAD
                      - NPR
                      - ANG
                      - TWD
                      - NZD
                      - NIO
                      - NGN
                      - NOK
                      - OMR
                      - PKR
                      - PAB
                      - PGK
                      - PYG
                      - PEN
                      - PHP
                      - PLN
                      - QAR
                      - RON
                      - RUB
                      - RWF
                      - SHP
                      - SVC
                      - WST
                      - STD
                      - SAR
                      - RSD
                      - SCR
                      - SLL
                      - SGD
                      - SBD
                      - SOS
                      - ZAR
                      - KRW
                      - LKR
                      - SRD
                      - SZL
                      - SEK
                      - CHF
                      - TJS
                      - TZS
                      - THB
                      - TND
                      - TOP
                      - TTD
                      - TRY
                      - UGX
                      - UAH
                      - AED
                      - UYU
                      - USD
                      - UZS
                      - VUV
                      - VEF
                      - VND
                      - XOF
                      - YER
                      - ZMW
                      - SLE
                      - XCG
                      - SSP
                      - VES
                      - MRU
                      - STN
                      - VED
                    default: null
                  currencyDecimals:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    default: null
                  createdAt:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: 0
                    maximum: 9007199254740991
                  userId:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    default: null
                  user:
                    type:
                      - object
                      - 'null'
                    properties:
                      object:
                        type: string
                        enum:
                          - user
                        default: user
                        description: >-
                          Object type identifier. Always 'user' for user
                          objects.
                      id:
                        type: string
                        format: uuid
                        description: Unique identifier (UUID) for this user.
                      username:
                        type:
                          - string
                          - 'null'
                        default: null
                        description: Username of the user, if set.
                    required:
                      - id
                    default: null
                  lastPaymentId:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    default: null
                  lastPaymentNumber:
                    type:
                      - string
                      - 'null'
                    pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
                    default: null
                  lastPayment:
                    type:
                      - object
                      - 'null'
                    properties:
                      object:
                        type: string
                        enum:
                          - payment
                        default: payment
                        description: >-
                          Object type identifier. Always 'payment' for payment
                          objects.
                      id:
                        type: string
                        format: uuid
                        description: Unique identifier (UUID) for this payment.
                      type:
                        type: string
                        enum:
                          - one_time
                          - subscription_initial
                          - subscription_update
                          - subscription_interval
                          - subscription_extra
                          - claim_free
                        description: |-
                          Type of payment:
                              - one_time: Single purchase
                              - subscription_initial: First subscription payment
                              - subscription_update: Subscription modification payment
                              - subscription_interval: Recurring subscription payment
                              - subscription_extra: Additional subscription charge
                              - claim_free: Free product claim
                      number:
                        type: string
                        pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
                        description: >-
                          Human-readable payment number (e.g., #ABC123DEF456).
                          Used for reference in invoices and support.
                      status:
                        type: string
                        enum:
                          - PENDING
                          - PAID
                          - FAILED
                          - UNPAID
                          - CANCELLED
                          - REFUNDED
                          - PARTIALLY_REFUNDED
                          - EXPIRED
                        description: |-
                          Current payment status:
                              - PENDING: Being processed
                              - PAID: Completed successfully
                              - FAILED: Payment failed
                              - UNPAID: Not yet attempted
                              - CANCELLED: Was cancelled
                              - REFUNDED: Fully refunded
                              - PARTIALLY_REFUNDED: Partially refunded
                              - EXPIRED: Expired before completion
                    required:
                      - id
                      - type
                      - number
                      - status
                    default: null
                  subscriptionId:
                    type:
                      - string
                      - 'null'
                    pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
                    default: null
                  subscription:
                    type:
                      - object
                      - 'null'
                    properties:
                      object:
                        type: string
                        enum:
                          - subscription
                        default: subscription
                        description: >-
                          Object type identifier. Always 'subscription' for
                          subscription objects.
                      id:
                        type: string
                        pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
                        description: >-
                          Subscription identifier (based on initial order
                          number).
                      status:
                        type: string
                        enum:
                          - all
                          - active
                          - canceled
                          - incomplete
                          - incomplete_expired
                          - past_due
                          - trialing
                          - paused
                          - unpaid
                        description: |-
                          Subscription status from payment provider:
                              - active: Subscription is active and billing
                              - past_due: Payment failed, retry in progress
                              - canceled: Subscription has been cancelled
                              - unpaid: Payment failed after all retries
                              - incomplete: Initial payment pending
                              - incomplete_expired: Initial payment expired
                              - trialing: In trial period
                              - paused: Subscription is paused
                    required:
                      - id
                      - status
                    default: null
                  orderNumber:
                    type: string
                    pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
                required:
                  - id
                  - number
                  - status
                  - createdAt
                  - orderNumber
            count:
              type:
                - number
                - 'null'
              format: double
              minimum: -1.7976931348623157e+308
              maximum: 1.7976931348623157e+308
          required:
            - orders
            - count
      required:
        - status
        - data
    GetV0OrdersListNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key

````